Package com.ngrok.services

# Class EdgeRouteRequestHeadersModule

java.lang.Object
com.ngrok.services.EdgeRouteRequestHeadersModule

public class EdgeRouteRequestHeadersModule extends Object
An API client for `EdgeRouteRequestHeadersModule`. See also https://ngrok.com/docs/api#api-edge-route-request-headers-module.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `EdgeRouteRequestHeadersModule.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `EdgeRouteRequestHeadersModule.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `EdgeRouteRequestHeadersModule.ReplaceCallBuilder`
  A builder object encapsulating state for an unsent Replace API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdgeRouteRequestHeadersModule(NgrokApiClient apiClient)`
  Creates a new sub-client for EdgeRouteRequestHeadersModule.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EdgeRouteRequestHeadersModule.DeleteCallBuilder`
  `delete(String edgeId, String id)`
  Creates a call builder for the Delete API operation.
  `EdgeRouteRequestHeadersModule.GetCallBuilder`
  `get(String edgeId, String id)`
  Creates a call builder for the Get API operation.
  `EdgeRouteRequestHeadersModule.ReplaceCallBuilder`
  `replace(String edgeId, String id)`
  Creates a call builder for the Replace API operation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EdgeRouteRequestHeadersModule

    public EdgeRouteRequestHeadersModule(NgrokApiClient apiClient)
    Creates a new sub-client for EdgeRouteRequestHeadersModule.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### replace

    public EdgeRouteRequestHeadersModule.ReplaceCallBuilder replace(String edgeId, String id)
    Creates a call builder for the Replace API operation. See also https://ngrok.com/docs/api#api-edge-route-request-headers-module-replace.
    Parameters:
      `edgeId` - the value of the `edge_id` parameter as a `String`
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call

  - ### get

    public EdgeRouteRequestHeadersModule.GetCallBuilder get(String edgeId, String id)
    Creates a call builder for the Get API operation. See also https://ngrok.com/docs/api#api-edge-route-request-headers-module-get.
    Parameters:
      `edgeId` - unique identifier of this edge
      `id` - unique identifier of this edge route
    Returns:
      a call builder for this API call

  - ### delete

    public EdgeRouteRequestHeadersModule.DeleteCallBuilder delete(String edgeId, String id)
    Creates a call builder for the Delete API operation. See also https://ngrok.com/docs/api#api-edge-route-request-headers-module-delete.
    Parameters:
      `edgeId` - unique identifier of this edge
      `id` - unique identifier of this edge route
    Returns:
      a call builder for this API call